#ifndef PTPEN_H
#define PTPEN_H

#include <qpen.h>

#include "constants.h"

class PtPen : public QPen {
 private:
  uint d_width;

 public:
  PtPen(void);
  PtPen(const QColor&, uint w = 0);

  void setWidth(uint w) {
    QPen::setWidth(w);
    d_width = w << 8;
  }

  void setDWidth(uint dw);
  uint dwidth(void);

};

#endif // PTPEN_H
