#ifndef PPTOOLBAR_H
#define PPTOOLBAR_H

#include <qtoolbar.h>
#include "constants.h"

class QComboBox;
class Canvas;

class PPToolBar : public QToolBar {
  Q_OBJECT

  QComboBox *pencil_btn, *water_btn, *eraser_btn, *cloud_btn;
  QWidget *parent;
  Canvas *canvas;

 public:
  PPToolBar(QMainWindow * = 0);
  ~PPToolBar(void);

  void setCanvas(Canvas*);

 public slots:
  void setPencilWidth(int);
  void setWaterWidth(int);
  void setEraserWidth(int);
  void setCloudWidth(int);
};

#endif // PPTOOLBAR_H
