#ifndef CONSTANTS_H
#define CONSTANTS_H

#define PenWidthMax 50
#define ZoomMax 3
#define ZoomMin -4
#define CloudWorkWidth 128

typedef unsigned long long int uint64;
typedef unsigned long int uint32;
typedef unsigned short int uint16;
typedef unsigned int uint;

inline int max(int a, int b) {
  return (a >= b) ? a : b;
}

inline uint max(uint a, uint b) {
  return (a >= b) ? a : b;
}

inline int min(int a, int b) {
  return (a <= b) ? a : b;
}

inline uint min(uint a, uint b) {
  return (a <= b) ? a : b;
}

inline uint umin(uint a, uint b) {
  return (a <= b) ? a : b;
}

inline uint umax(uint a, uint b) {
  return (a <= b) ? b : a;
}

inline int abs(int a) {
  return a >= 0 ? a : -a;
}

enum {SolidBrush = 0, WaterBrush,
      CloudWeakBrush, CloudMidBrush, CloudWideBrush,
      EraserBrush,
      NumOfBrushes};

enum {MinComposition, MulComposition,
  SatComposition, ColComposition,
      NormalComposition, MaxComposition, MaskComposition,
      AlphaChannelComposition, ScreenComposition,
  NumOfComposition};

#endif		// CONSTANTS_H
