/*!
 * filedialog.cpp
 * Original
 * by Saki Sakira <sakira@sun.dhis.portside.net>
 * from 2003 June 18
 *
 * Customize(perhaps,"Renew")
 * by Reini Kasumidoki <di-azz@mc.kcom.ne.jp>
 * from 2003 July 09
 *
 * Modify(use SlFileDialog)
 * by Tomokazu Sato <s-tomo@iijmio-mail.jp>
 * from 2003 Nov 05
 */

#include <stdio.h>
#include <qdir.h>
#include <qstringlist.h>
#include <qfile.h>

#include "filedialog.h"

//! construct
FileDialog::FileDialog(const char *name, bool input,const QString &path)
     : SlFileDialog(!input, NULL, name)
{
  setDefaultFile(path);
  setIconViewType(TRUE);

  //QDialog
  setCaption(name);
  //setSizeGripEnabled(true);
}

//! destruct
FileDialog::~FileDialog() {
}

//! get a fullpath
QString FileDialog::filePath(void) {
  return getFilePath();
}

