#ifndef FILEDIALOG_H
#define FILEDIALOG_H

#include <qdialog.h>
#include <qdir.h>
#include <qfileinfo.h>
#include <qiconview.h>
#include <qlineedit.h>
#include <qstring.h>

class FileDialog : public QDialog {
  Q_OBJECT

private:
  QIconView *flist;
  QLineEdit *fedit, *fdir;
  static QFileInfo fileinfo;

public://construct/destruct
  FileDialog(const char *name = 0, bool input = TRUE,const QString &path = QString::null);
  ~FileDialog();

public://public function
  QString filePath(void);
  
protected://protected function
  void set_flist();
  bool eventFilter( QObject *pObject, QEvent *pEvent ); //overwrite

protected slots://protected slots?
  virtual void accept();                                //overwrite
  
public slots://public slots
  void select_file( const QString & );
  void select_file( QIconViewItem * );
  void set_editEnd();
};

#endif		// FILEDIALOG_H
